import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MonitorRuleRunLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 13:26
 */
interface MonitorRuleRunLogCU extends ConditionUtil<MonitorRuleRunLogCU> {
    ID: FieldUtil<MonitorRuleRunLogCU>;
    SETTING_ID: FieldUtil<MonitorRuleRunLogCU>;
    ERROR_COUNT: FieldUtil<MonitorRuleRunLogCU>;
    CREATE_TIME: FieldUtil<MonitorRuleRunLogCU>;
    UPDATE_TIME: FieldUtil<MonitorRuleRunLogCU>;
    TEMPLATE_ID: FieldUtil<MonitorRuleRunLogCU>;
    TEMPLATE_THRESHOLD: FieldUtil<MonitorRuleRunLogCU>;
    PROJECT_ID: FieldUtil<MonitorRuleRunLogCU>;
    PID: FieldUtil<MonitorRuleRunLogCU>;
    PROJECT_VERSION: FieldUtil<MonitorRuleRunLogCU>;
    POD_ID: FieldUtil<MonitorRuleRunLogCU>;
    LAST_RUN_TIME: FieldUtil<MonitorRuleRunLogCU>;
    NEXT_RUN_TIME: FieldUtil<MonitorRuleRunLogCU>;
    PROJECT_DESC: FieldUtil<MonitorRuleRunLogCU>;
    ACTUAL_ALERT_VALUE: FieldUtil<MonitorRuleRunLogCU>;
    LAST_ALERT_TIME: FieldUtil<MonitorRuleRunLogCU>;
    NEXT_ALERT_TIME: FieldUtil<MonitorRuleRunLogCU>;
    ALERT_COUNT: FieldUtil<MonitorRuleRunLogCU>;
    SERVICE_GROUP_ID: FieldUtil<MonitorRuleRunLogCU>;
    PROJECT_TYPE: FieldUtil<MonitorRuleRunLogCU>;
    K8S_ID: FieldUtil<MonitorRuleRunLogCU>;
    TEMPLATE_NAME: FieldUtil<MonitorRuleRunLogCU>;
}
declare class MonitorRuleRunLogMU extends TableUtilImpl<MonitorRuleRunLogCU, MonitorRuleRunLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MonitorRuleRunLogCU;
    static get ID(): FieldUtil<MonitorRuleRunLogCU>;
    static get SETTING_ID(): FieldUtil<MonitorRuleRunLogCU>;
    static get ERROR_COUNT(): FieldUtil<MonitorRuleRunLogCU>;
    static get CREATE_TIME(): FieldUtil<MonitorRuleRunLogCU>;
    static get UPDATE_TIME(): FieldUtil<MonitorRuleRunLogCU>;
    static get TEMPLATE_ID(): FieldUtil<MonitorRuleRunLogCU>;
    static get TEMPLATE_THRESHOLD(): FieldUtil<MonitorRuleRunLogCU>;
    static get PROJECT_ID(): FieldUtil<MonitorRuleRunLogCU>;
    static get PID(): FieldUtil<MonitorRuleRunLogCU>;
    static get PROJECT_VERSION(): FieldUtil<MonitorRuleRunLogCU>;
    static get POD_ID(): FieldUtil<MonitorRuleRunLogCU>;
    static get LAST_RUN_TIME(): FieldUtil<MonitorRuleRunLogCU>;
    static get NEXT_RUN_TIME(): FieldUtil<MonitorRuleRunLogCU>;
    static get PROJECT_DESC(): FieldUtil<MonitorRuleRunLogCU>;
    static get ACTUAL_ALERT_VALUE(): FieldUtil<MonitorRuleRunLogCU>;
    static get LAST_ALERT_TIME(): FieldUtil<MonitorRuleRunLogCU>;
    static get NEXT_ALERT_TIME(): FieldUtil<MonitorRuleRunLogCU>;
    static get ALERT_COUNT(): FieldUtil<MonitorRuleRunLogCU>;
    static get SERVICE_GROUP_ID(): FieldUtil<MonitorRuleRunLogCU>;
    static get PROJECT_TYPE(): FieldUtil<MonitorRuleRunLogCU>;
    static get K8S_ID(): FieldUtil<MonitorRuleRunLogCU>;
    static get TEMPLATE_NAME(): FieldUtil<MonitorRuleRunLogCU>;
    get ID(): FieldUtil<MonitorRuleRunLogCU>;
    get SETTING_ID(): FieldUtil<MonitorRuleRunLogCU>;
    get ERROR_COUNT(): FieldUtil<MonitorRuleRunLogCU>;
    get CREATE_TIME(): FieldUtil<MonitorRuleRunLogCU>;
    get UPDATE_TIME(): FieldUtil<MonitorRuleRunLogCU>;
    get TEMPLATE_ID(): FieldUtil<MonitorRuleRunLogCU>;
    get TEMPLATE_THRESHOLD(): FieldUtil<MonitorRuleRunLogCU>;
    get PROJECT_ID(): FieldUtil<MonitorRuleRunLogCU>;
    get PID(): FieldUtil<MonitorRuleRunLogCU>;
    get PROJECT_VERSION(): FieldUtil<MonitorRuleRunLogCU>;
    get POD_ID(): FieldUtil<MonitorRuleRunLogCU>;
    get LAST_RUN_TIME(): FieldUtil<MonitorRuleRunLogCU>;
    get NEXT_RUN_TIME(): FieldUtil<MonitorRuleRunLogCU>;
    get PROJECT_DESC(): FieldUtil<MonitorRuleRunLogCU>;
    get ACTUAL_ALERT_VALUE(): FieldUtil<MonitorRuleRunLogCU>;
    get LAST_ALERT_TIME(): FieldUtil<MonitorRuleRunLogCU>;
    get NEXT_ALERT_TIME(): FieldUtil<MonitorRuleRunLogCU>;
    get ALERT_COUNT(): FieldUtil<MonitorRuleRunLogCU>;
    get SERVICE_GROUP_ID(): FieldUtil<MonitorRuleRunLogCU>;
    get PROJECT_TYPE(): FieldUtil<MonitorRuleRunLogCU>;
    get K8S_ID(): FieldUtil<MonitorRuleRunLogCU>;
    get TEMPLATE_NAME(): FieldUtil<MonitorRuleRunLogCU>;
}
export { MonitorRuleRunLogMU, MonitorRuleRunLogCU };
